Saturday, August 22, 2015

NVidia 304.125 Patch for Linux Kernel 4.1

As i mentioned before, if you are upgrading to the latest -current update, you *may* end up with a text-only system as your desktop will not load due to incompatibilities from your proprietary driver with the new Linux Kernel 4.1. This is the case on my desktop system where i used the legacy NVidia driver 304.125.

While it already had XOrg 1.17 support, it wasn't ready to support Linux Kernel 4.1 (due to it's being released in 2014), so patches are needed in order to make it buildable.

I have pushed 2 patches in my SlackHacks github repository to address this issue. I have tested it and it works fine on my desktop machine.

Now, my next issue is to rebuild all third party packages that are linked to gnutls since it introduces another soname bumps. Also VMWare needs to be taken care as well since it failed to built. One step at a time.